/* 
Rewind Rentals CSS Stylesheet
main.css
Author: Jacob Debono C3380241
Created: 26 July 2022
*/

/* CSS "at-rules" for fonts and display scaling */
@font-face {
  font-family: 'DIN Next Light';
  src: url(../fonts/DINNext-Light.woff2) format("woff2");
}

@font-face {
  font-family: 'DIN Next Light';
  src: url(../fonts/DINNext-LightItalic.woff2) format("woff2");
  font-style: italic;
}

@font-face {
  font-family: 'DIN Next';
  src: url(../fonts/DINNext-Regular.woff2) format("woff2");
  font-style: normal;
}

@font-face {
  font-family: 'DIN Next';
  src: url(../fonts/DINNext-Italic.woff2) format("woff2");
  font-style: italic;
}

@font-face {
  font-family: 'DIN Next Medium';
  src: url(../fonts/DINNext-Medium.woff2) format("woff2");
}

@font-face {
  font-family: 'DIN Next Medium';
  src: url(../fonts/DINNext-MediumItalic.woff2) format("woff2");
  font-style: italic;
}

@font-face {
  font-family: 'DIN Next';
  src: url(../fonts/DINNext-Bold.woff2) format("woff2");
  font-weight: bold;
}

@font-face {
  font-family: 'DIN Next';
  src: url(../fonts/DINNext-BoldItalic.woff2) format("woff2");
  font-weight: bold;
  font-style: italic;
}

@font-face {
  font-family: 'DIN Next Heavy';
  src: url(../fonts/DINNext-Heavy.woff2) format("woff2");
}

@font-face {
  font-family: 'DIN Next Heavy';
  src: url(../fonts/DINNext-HeavyItalic.woff2) format("woff2");
  font-style: italic;
}

@media screen and (min-width: 1050px) {
  /* If a screen is wider than 1,050 pixels */
  header {
    min-height: 70pt;
  }

  div.content {
    max-width: 77%;
  }  

  div button.menubar {
    position: relative;
    top: -24pt;
    left: 28pt;
  }

  h4 {
    margin: 6pt 0 8pt 0;
    font-size: 28pt;
  }

  ul#navbar li {
    height: 40pt;
    margin: 15pt 18pt 15pt 18pt;
  }

  span.label {
    line-height: 50px;
    display: inline;
    position: relative;
    left: 1cm;
    font-size: 2.5rem;
    color: white;
    font-family: inherit;
  }

  nav.navbar {
    list-style-type: none;
    margin: 0;
    padding: 0;
    position: relative;
    top: 12pt;
  }

  a.item {
    font-size: 18pt;
    padding: 10pt 18pt 10pt 18pt;
  }

  img#logo-white {
    padding-top: 28pt;
  }

  div.footer-wrapper {
    padding: 20pt 60pt 20pt 60pt;
    display: flex;
    justify-content: space-between;
    height: auto;
  }  

}   

@media screen and (max-width: 1050px) {
  /* If a screen is less than 1,050 pixels wide */
  header {
    min-height: 115pt;
  }

  footer {
    min-height: 210pt;
  }

  h4 {
    margin: 4pt 0 4pt;
    font-size: 24pt;
  }
  
  div.content {
    max-width: 100%;
  }

  img#logo-body {
    height: 50px;
  }

  ul#navbar li {
    height: 40pt;
    margin: 15pt 6pt 15pt 6pt;
  }

  button.menubar {
    position: absolute;
    top: 77pt;
    left: 16pt;
  }

  nav.navbar {
    list-style-type: none;
    position: absolute;
    right: 20pt;
    top: 60pt;
  }

  span.label {
    line-height: 30pt;
    display: block;
    padding-top: 8pt;
    left: 1cm;
    font-size: 2rem;
    color: white;
    font-weight: inherit;
  }

  a.item {
    font-size: 16pt;
    padding: 8pt 10pt 8pt 10pt;
  }

  p#copyright {
    margin-top: -10pt;
  }

  img#logo-white {
    padding-top: 12pt;
  }

  div.footer-wrapper {
    padding: 8pt 16pt 8pt 16pt;
    margin-bottom: 30pt;
  }  

  div#footl {
    position: absolute;
    top: 90pt;
    left: 20pt;
  }

  div#footr {
    position: absolute;
    top: 90pt;
    right: 20pt;
  }

}

@keyframes fadeIn {
  /* Creates a fade-in effect */
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Main style rules */
html {
  font-family: 'DIN Next';
  background-color: #333333;
  width: 100%;
  height: 100%;
  word-wrap: break-word;
}

body {
  height: auto;
  background-image: url(../images/back.png);
  background-attachment: fixed;
  background-size: cover;
}

header {
  background-color: #004E75;
}

h1 {
  font-weight: bolder;
  font-size: 40pt;
  color: #FFEC00;
  text-shadow: 0 0 10px rgb(0 0 0 / 0.8);
}

h4 {
  color: #FFFFFF;
  font-family: 'DIN Next Heavy', 'DIN Next', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
}

footer {
  background-color: #333333;
  position: relative;
  vertical-align: bottom;
  height: auto;
}

div.header-wrapper {
  display: flex;
  justify-content: space-between;
  height: inherit;
  padding-right: 1cm;
}

div.center-wrapper {
  width: 65%;
  margin-left: auto;
  margin-right: auto;
  display: block;
}

div.text-block-blue {
  background-color: rgb(117, 192, 246);
  padding: 20pt 20pt 20pt 20pt;
}

p {
  color: #FFFFFF;
  font-family: 'DIN Next Light', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-size: 22pt;
  margin-top: 16pt;
  line-height: 28pt;
}

b {
  font-family: 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-weight: bold;
}

h3 {
  font-family: 'DIN Next Medium', 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  color: #464646;
  font-size: 16pt;
}

hr {
  margin: 18pt 0 18pt 0;
  border-top: 2pt solid #FFFFFF;
}

li {
  display: inline-block;
  color: #FFFFFF;
  font-size: 16pt;
}

a {
  text-decoration: none;
  color: #15395c;
  }

ul#navbar a:hover {
  color: #FFFFFF;
  background-color: #15395c;
  border-radius: 12pt;
  }

a.item {
  color: #FFFFFF;
  font-weight: bold;
}

a.item:visited {
  color: #85ceff;
}

div.story {
  text-align: left;
}

span.tag {
  color: #FFFFFF;
  font-size: 16pt;
  display: inline-block;
  width: auto;
  height: auto;
  margin: 0pt 0 4pt 0;
  line-height: 120%;
}

span.tag.c {
  font-weight: bold;
}

button.book {
  font-family: inherit;
  padding: 3pt 12pt 3pt 12pt;
  font-weight: bold;
  color: #000000;
  margin-top: 7pt;
  border-radius: 6pt;
  font-size: 14pt;
}

button.book.available {
  background-color: #33EF98;
}

span.status.available {
  margin-left: 12pt;
  color: #33EF98;
  font-weight: bold;
}

button.book.not-available {
  background-color: #838383;
  transition: none;  
  color: #555555;
}

button.book.not-available:hover {
  transform: none;
  cursor: not-allowed;
  }

span.status.not-available {
  margin-left: 12pt;
  color: #FF4E4E;
  font-weight: bold;
}

span.status.not-available.date {
  margin: 0;
}

h1.main-center {
  margin: 60pt 0 50pt 0; 
}

button {
  background-color: #FFEC00;
  font-family: inherit;
  border: none;
  color: #004E75;
  text-align: center;
  transition: transform, all .25s ease-in-out;
  cursor: pointer;
}

.button:hover {
  transform: scale(1.1);
}

.button:active {
  transform: scale(1);
  background-color: #888800;
}

img#logo-main {
  margin: 20pt 0cm 15pt 1cm;
  display: inline;
}

img#logo-body {
  animation: fadeIn 2s;
  filter: drop-shadow(0px 0px 10px rgb(0 0 0 / 0.8));
  padding-left: 0.25em;
}

div.main {
  padding: 30pt 1cm 30pt 1cm;
  background: linear-gradient(#132133DD, #03383DDD);
  height: auto;
  min-height: 800px;
}

div.welcome-box {
  padding-top: 50px;
}

div.wrapper {
  margin-top: 4rem;
}

div.wrapper-trending {
  margin-left: 1cm;
}

img#body-ent {
  max-width: 100%;
  margin-bottom: 12pt; 
}

div.paragraphs h2 {
  padding: 24pt 0 24pt 0;
  margin-left: 24pt;
  font-family: 'DIN Next Medium', 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  color: black;
}

div.paragraphs p {
  margin: 0 24pt 0 24pt;
  padding-bottom: 20pt;
  color: black;
}

div.paragraphs strong {
  font-family: 'DIN Next';
  font-weight: bold;
}

.explore {
  border-radius: 18px;
  height: 1.75cm;
  width: 5.5cm;
  font-size: 32pt;
  font-family: 'DIN Next Heavy', 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-weight: bolder;
}

button.menubar {
  border-radius: 10px;
  margin: -10pt 12pt;
  height: 30pt;
  width: 78pt;
  font-size: 16pt;
  font-family: 'DIN Next Heavy', 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-weight: bolder;
}

p#copyright {
  text-align: center;
  line-height: 30pt;
}

div#c {
  display: block;
}

#r {
  width: 100%;
}

img#logo-white {
  margin-left: auto;
  margin-right: auto;
  display: block;
}

img.social-logo {
  padding: 5pt 10pt 0 0;
  position: relative;
  bottom: -2pt;
}

h2#f {
  font-family: 'DIN Next Heavy';
  color: #FFFFFF;
  font-size: 20pt;
  padding: 10pt 0 10pt 0;
}

ul.items li {
  display: block;
}

ul.items div.featured-item {
  width: auto;
  margin: 16pt 0 16pt 0;
  display: inline-block;

}

div.alert {
  margin: 24pt 0 24pt 0;
  padding: 18pt;
  font-size: 18pt;
  background-color: #00847d;
  color: white;
}

div.alert strong {
  font-family: 'DIN Next Heavy', 'DIN Next', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: larger;
  color: white;
  margin-right: 18pt;
}

div.alert a {
  font-family: 'DIN Next Medium', 'DIN Next', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  color: white;
  text-decoration: underline;
}

div.image-wrapper {
  display: inline-block;
  vertical-align: top; 
  position: relative;
  margin: 8pt 12pt 8pt 0;
  height: 5cm;
  width: 5cm;
  background-color: #FFFFFF;
  border: 6pt solid #47d1ff;
  border-radius: 8pt;
  transition: 0.25s ease-in-out all;
}

.image-wrapper:hover {
  transform: scale(1.05);
}

div.content {
  display: inline-block;
  height: auto;
}

img.main-disp-img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  max-width: 90%;
  max-height: 90%;
  margin: auto;
  display: block;
}

a.foot-link {
  text-decoration: none;
  line-height: 28pt;
  font-family: 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-size: 16pt;
  color: #FFFFFF;
  text-align: right;
}

a.social {
  font-family: 'DIN Next';
  line-height: 32pt;
}

p#copyright {
  font-family: 'DIN Next Medium';
  font-size: 14pt;
  margin-top: -12pt;
}

input {
  font-family: 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
  font-size: 14pt;
}

input[type=text], select {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 6pt;
  box-sizing: border-box;
  margin-bottom: 20pt;
}

input[type=submit] {
  width: 30%;
  background-color: #33b46f;
  color: white;
  padding: 14px 14px;
  margin: 8px 0;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 18pt;
  font-family: 'DIN Next Heavy';
}

input[type=reset] {
  width: auto;
  background-color: #d25050;
  color: white;
  padding: 14px 12px;
  margin: 8pt 15pt;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 18pt;
  font-family: 'DIN Next Heavy';
}

input[type=submit]:hover {
  background-color: #336e4e;
}
  
input[type=reset]:hover {
  background-color: #6f2323;
}

input[type=radio] {
  margin: 12pt 0 12pt 0;
}

textarea {
    font-family: 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
    font-size: 14pt;
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0 18pt;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 6pt;
    box-sizing: border-box;
    height: 8cm;
    resize: none;
}

label {
    font-family: 'DIN Next Medium', 'DIN Next', 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
    font-size: 18pt;
    color: #FFFFFF;
}

a#termlabel {
  color: rgb(117, 234, 234);
}

a#termlabel:hover {
  color: rgb(69, 151, 151);
}